Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.resourcedisplay
Interface ResourcePanel

All Superinterfaces:
  edu.stanford.smi.protege.util.Disposable, InferredModeWidget, edu.stanford.smi.protege.util.Selectable

All Known Implementing Classes:
  ResourceDisplay

    public interface ResourcePanel

extends InferredModeWidget, edu.stanford.smi.protege.util.Selectable, edu.stanford.smi.protege.util.Disposable

An interface for user interface components that display a given RDFResource as a form. Instances of this are used as the main panel on the various tabs.

Author:
  Holger Knublauch

Field Summary
`static int` | `DEFAULT_TYPE_CLASS`
`static int` | `DEFAULT_TYPE_INDIVIDUAL`
`static int` | `DEFAULT_TYPE_ONTOLOGY`
`static int` | `DEFAULT_TYPE_PROPERTY`

Method Summary
`void` | `dispose()`
`RDFResource` | `getResource()`
`void` | `setResource(RDFResource resource)`

Methods inherited from interface edu.stanford.smi.protegex.owl.ui.widget.InferredModeWidget
`setInferredMode`

Methods inherited from interface edu.stanford.smi.protege.util.Selectable
`addSelectionListener, clearSelection, getSelection, notifySelectionListeners, removeSelectionListener`

Field Detail

### DEFAULT_TYPE_CLASS

    static final int DEFAULT_TYPE_CLASS

See Also:
  Constant Field Values

### DEFAULT_TYPE_PROPERTY

    static final int DEFAULT_TYPE_PROPERTY

See Also:
  Constant Field Values

### DEFAULT_TYPE_INDIVIDUAL

    static final int DEFAULT_TYPE_INDIVIDUAL

See Also:
  Constant Field Values

### DEFAULT_TYPE_ONTOLOGY

    static final int DEFAULT_TYPE_ONTOLOGY

See Also:
  Constant Field Values

Method Detail

### getResource

    RDFResource getResource()

### setResource

    void setResource(RDFResource resource)

### dispose

    void dispose()

  Specified by:
    `dispose` in interface `edu.stanford.smi.protege.util.Disposable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.